|  | Home

# QtRectPropertyManager Class Reference

The QtRectPropertyManager provides and manages QRect properties. More...

     #include <QtRectPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

### Public Functions

- QtRectPropertyManager ( QObject * parent = 0 )
- ~QtRectPropertyManager ()
- QRect constraint ( const QtProperty * property ) const
- QtIntPropertyManager * subIntPropertyManager () const
- QRect value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

### Public Slots

- void setConstraint ( QtProperty * property, const QRect & constraint )
- void setValue ( QtProperty * property, const QRect & value )

- 1 public slot inherited from QObject

### Signals

- void constraintChanged ( QtProperty * property, const QRect & constraint )
- void valueChanged ( QtProperty * property, const QRect & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtRectPropertyManager provides and manages QRect properties.

A rectangle property has nested x, y, width and height subproperties. The top-level property's value can be retrieved using the value() function, and set using the setValue() slot.

The subproperties are created by a QtIntPropertyManager object. This manager can be retrieved using the subIntPropertyManager() function. In order to provide editing widgets for the subproperties in a property browser widget, this manager must be associated with an editor factory.

A rectangle property also has a constraint rectangle which can be retrieved using the constraint() function, and set using the setConstraint() slot.

In addition, QtRectPropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes, and the constraintChanged() signal which is emitted whenever such a property changes its constraint rectangle.

See also QtAbstractPropertyManager, QtIntPropertyManager, and QtRectFPropertyManager.

## Member Function Documentation

### QtRectPropertyManager::QtRectPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtRectPropertyManager::~QtRectPropertyManager ()

Destroys this manager, and all the properties it has created.

### QRect QtRectPropertyManager::constraint ( const QtProperty * property ) const

Returns the given property's constraining rectangle. If returned value is null QRect it means there is no constraint applied.

See also value() and setConstraint().

### void QtRectPropertyManager::constraintChanged ( QtProperty * property, const QRect & constraint ) `[signal]`

This signal is emitted whenever property changes its constraint rectangle, passing a pointer to the property and the new constraint rectangle as parameters.

See also setConstraint().

### void QtRectPropertyManager::setConstraint ( QtProperty * property, const QRect & constraint ) `[slot]`

Sets the given property's constraining rectangle to constraint.

When setting the constraint, the current value is adjusted if necessary (ensuring that the current rectangle value is inside the constraint). In order to reset the constraint pass a null QRect value.

See also setValue(), constraint(), and constraintChanged().

### void QtRectPropertyManager::setValue ( QtProperty * property, const QRect & value ) `[slot]`

Sets the value of the given property to value. Nested properties are updated automatically.

If the specified value is not inside the given property's constraining rectangle, the value is adjusted accordingly to fit within the constraint.

See also value(), setConstraint(), and valueChanged().

### QtIntPropertyManager * QtRectPropertyManager::subIntPropertyManager () const

Returns the manager that creates the nested x, y, width and height subproperties.

In order to provide editing widgets for the mentioned subproperties in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### QRect QtRectPropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns an invalid rectangle.

See also setValue() and constraint().

### void QtRectPropertyManager::valueChanged ( QtProperty * property, const QRect & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().